<?php 

/* Reviews */

function post_type_recipes() {
register_post_type(
                    'recipes', 
                    array( 'public' => true,
					 		'publicly_queryable' => true,
							'hierarchical' => false,
							'menu_icon' => get_stylesheet_directory_uri() . '/images/rev.png',
                    		'labels'=>array(
    									'name' => _x('غذاها', 'post type general name'),
    									'singular_name' => _x('غذا', 'post type singular name'),
    									'add_new' => _x('تازه', 'recipe post'),
    									'add_new_item' => __('افزودن یک آموزش آشپزی جدید'),
    									'edit_item' => __('ویرایش آموزش آشپزی'),
    									'new_item' => __('افزودن یک آموزش آشپزی جدید'),
    									'view_item' => __('مشاهده ی آمزوش آشپزی'),
    									'search_items' => __('جستجو در آموزش های آشپزی جدید'),
    									'not_found' =>  __('آموزشی یافت نشد'),
    									'not_found_in_trash' => __('هیچ آموزشی در زباله دان یافت نشد'), 
    									'parent_item_colon' => ''
  										),							 
                            'show_ui' => true,
							'menu_position'=>5,
							'register_meta_box_cb' => 'mytheme_add_box',
							'taxonomies' => array('category'),
                            'supports' => array(
							 			'title',
										'thumbnail',
										'comments',
										'editor'
										)
							) 
					);
				} 
add_action('init', 'post_type_recipes');


/* Cuisine Taxonomy */

function create_cuisine_taxonomy() 
{
  $labels = array(
	  						  'name' => _x( 'نوع غذا', 'taxonomy general name' ),
    						  'singular_name' => _x( 'نوع غذا', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'جستجو در انواع غذاها' ),
   							  'all_items' => __( 'همه ی نوع غذاها' ),
    						  'parent_item' => __( 'نوع والد' ),
   					   		  'parent_item_colon' => __( 'نوع والد:' ),
   							  'edit_item' => __( 'ویرایش نوع غذا' ), 
  							  'update_item' => __( 'به روزرسانی نوع غذا' ),
  							  'add_new_item' => __( 'نوع غذای تازه' ),
  							  'new_item_name' => __( 'نام نوع غذای تازه' ),
  ); 	

  register_taxonomy('cuisine',array('recipes'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'cuisine' ),
  ));

}

/* Meal Taxonomy */

function create_meal_taxonomy() 
{
  $labels = array(
	  						  'name' => _x( 'وعده غذایی', 'taxonomy general name' ),
    						  'singular_name' => _x( 'وعده غذایی', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'جستو در وعده های غذایی' ),
   							  'all_items' => __( 'همه ی وعده های غذایی ' ),
    						  'parent_item' => __( 'وعده غذایی والد' ),
   					   		  'parent_item_colon' => __( 'وعده غذایی والد :' ),
   							  'edit_item' => __( 'ویرایش وعده غذایی' ), 
  							  'update_item' => __( 'به روزرسانی وعده غذایی' ),
  							  'add_new_item' => __( 'افزودن وعده غذایی تازه' ),
  							  'new_item_name' => __( 'نام وعده غذایی تازه' ),
  ); 	

  register_taxonomy('meal',array('recipes'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'meal' ),
  ));

}

/* food Taxonomy */

function create_food_taxonomy() 
{
  $labels = array(
	  						  'name' => _x( 'آیتم غذا', 'taxonomy general name' ),
    						  'singular_name' => _x( 'آیتم غذا', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'جستجودر آیتم های غذا' ),
   							  'all_items' => __( 'همه ی آیتم های غذا' ),
    						  'parent_item' => __( 'آیتم غذایی والد' ),
   					   		  'parent_item_colon' => __( 'آیتم غذایی والد' ),
   							  'edit_item' => __( 'ویرایش آیتم غذا' ), 
  							  'update_item' => __( 'به روزرسانی آیتم غذا' ),
  							  'add_new_item' => __( 'آیتم غذای تازه' ),
  							  'new_item_name' => __( 'آیتم غذای تازه' ),
  ); 	

  register_taxonomy('food',array('recipes'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'food' ),
  ));

}

add_action( 'init', 'create_cuisine_taxonomy', 0 );
add_action( 'init', 'create_meal_taxonomy', 0 );
add_action( 'init', 'create_food_taxonomy', 0 );
?>